Installation failure

Issue #173 closed
Roman Inflianskas created an issue

I'm trying to install kallithea and I'm getting following error:

Traceback (most recent call last):
  File "setup.py", line 190, in <module>
    """,
  File "/usr/lib64/python2.7/distutils/core.py", line 111, in setup
    _setup_distribution = dist = klass(attrs)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 268, in __init__
    self.fetch_build_eggs(attrs['setup_requires'])
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 313, in fetch_build_eggs
    replace_conflicting=True,
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 843, in resolve
    dist = best[req.key] = env.best_match(req, ws, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1088, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 1100, in obtain
    return installer(requirement)
  File "/usr/lib/python2.7/site-packages/setuptools/dist.py", line 380, in fetch_build_egg
    return cmd.easy_install(req)
  File "/usr/lib/python2.7/site-packages/setuptools/command/easy_install.py", line 626, in easy_install
    not self.always_copy, self.local_index
  File "/usr/lib/python2.7/site-packages/setuptools/package_index.py", line 590, in fetch_distribution
    self.find_packages(requirement)
  File "/usr/lib/python2.7/site-packages/setuptools/package_index.py", line 427, in find_packages
    self.scan_url(self.index_url + requirement.unsafe_name+'/')
  File "/usr/lib/python2.7/site-packages/setuptools/package_index.py", line 761, in scan_url
    self.process_url(url, True)
  File "/usr/lib/python2.7/site-packages/setuptools/package_index.py", line 304, in process_url
    f = self.open_url(url, "Download error on %s: %%s -- Some packages may not be found!" % url)
  File "/usr/lib/python2.7/site-packages/setuptools/package_index.py", line 700, in open_url
    return open_with_auth(url, self.opener)
  File "/usr/lib/python2.7/site-packages/setuptools/package_index.py", line 894, in _socket_timeout
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/setuptools/package_index.py", line 1007, in open_with_auth
    fp = opener(request)
  File "/usr/lib64/python2.7/urllib2.py", line 431, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.7/urllib2.py", line 449, in _open
    '_open', req)
  File "/usr/lib64/python2.7/urllib2.py", line 409, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/site-packages/setuptools/ssl_support.py", line 162, in https_open
    lambda host, **kw: VerifyingHTTPSConn(host, self.ca_bundle, **kw), req
  File "/usr/lib64/python2.7/urllib2.py", line 1194, in do_open
    h.request(req.get_method(), req.get_selector(), req.data, headers)
  File "/usr/lib64/python2.7/httplib.py", line 1001, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.7/httplib.py", line 1035, in _send_request
    self.endheaders(body)
  File "/usr/lib64/python2.7/httplib.py", line 997, in endheaders
    self._send_output(message_body)
  File "/usr/lib64/python2.7/httplib.py", line 850, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.7/httplib.py", line 812, in send
    self.connect()
  File "/usr/lib/python2.7/site-packages/setuptools/ssl_support.py", line 190, in connect
    sock, cert_reqs=ssl.CERT_REQUIRED, ca_certs=self.ca_bundle
  File "/usr/lib64/python2.7/ssl.py", line 899, in wrap_socket
    ciphers=ciphers)
  File "/usr/lib64/python2.7/ssl.py", line 513, in __init__
    self._context.load_verify_locations(cafile=cafile, capath=capath)
IOError: [Errno 2] No such file or directory

System info:

# cat /etc/os-release
NAME="openSUSE Leap"
VERSION="42.1"
VERSION_ID="42.1"
PRETTY_NAME="openSUSE Leap 42.1 (x86_64)"
ID=opensuse
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:opensuse:opensuse:42.1"
BUG_REPORT_URL="https://bugs.opensuse.org"
HOME_URL="https://opensuse.org/"
ID_LIKE="suse"
# pip --version
pip 7.1.2 from /usr/lib/python2.7/site-packages (python 2.7)

The problem is not in pip:

# pip install django
Collecting django
  Downloading Django-1.8.6-py2.py3-none-any.whl (6.2MB)
    100% |████████████████████████████████| 6.2MB 76kB/s 
Installing collected packages: django
Successfully installed django-1.8.6

Comments (5)

  1. Roman Inflianskas reporter

    Thank you, @domruf, it works.

    I understand why virtualenv is good (one of the reasons is that containers minimize dependency hell), but actually in most cases virtualenv is not needed when you use containers (Docker, OpenVZ) or VMs.

    So I suggest to add a note that installation inside virtualenv is preferable not only because of dependencies, but also because it doesn't work one some distros.

  2. Mads Kiilerich

    You do not say how you install Kallithea.

    Anyway, it depends on setuptools and your OS do apparently not have the certificate file that setuptools depend on. Perhaps try testing setuptools directly or play around with what google can tell you about that error, suse and setuptools.

  3. Roman Inflianskas reporter

    @kiilerix, sorry, forgot to write about it.

    I've installed it with pip and from sources (develop branch, 0.1, 0.2, 0.3 branches) without virtualenv. Installation with virtualenv worked fine.

    Anyway, it depends on setuptools and your OS do apparently not have the certificate file that setuptools depend on. Perhaps try testing setuptools directly or play around with what google can tell you about that error, suse and setuptools.

    OK, I got it. Thank you!

  4. Log in to comment